﻿using System.ComponentModel.Composition;
using System.Diagnostics;
using Polenter.Mcm;

namespace McmWinFormsApplication1.Components
{
    /// <summary>
    ///     A component can manage its state, it can access other components using its Components property
    /// </summary>
    [Export(typeof (McmComponent))]
    public class DebuggingComponent : McmComponent
    {
        [MessageSubscriber(McmComponentContainer.MessagesChannelName)]
        private void handleEveryMessage(object m)
        {
            Debug.WriteLine(m.ToString());
        }
    }
}