﻿using System;
using Polenter.Mcm;

namespace McmWinFormsApplication1.Components
{
    /// <summary>
    ///     Its HasError and Error properties provide information about the last async operation error.
    /// </summary>
    public class ReverseTextResponseMessage : AsyncOperationResponseMessage
    {
        public ReverseTextResponseMessage(Exception error)
            : base(error)
        {
        }

        public string OutputText { get; set; }
    }
}